apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Release.Name }}-artifact-deployment
  labels:
    app: sandipartifactmysql
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: sandipartifactmysql
  template:
    metadata:
      labels:
        app: sandipartifactmysql
    spec:
      initContainers:
        - name: check-db
          image: kanisterio/mysql-sidecar:0.40.0
          volumeMounts:
            - name: {{ .Release.Name }}-volume
              mountPath: /usr/bin/scriptfordb/
          command:
            - /bin/bash
            - -c
            - "/usr/bin/scriptfordb/dbcheck.sh"
      volumes:
        - name: {{ .Release.Name }}-volume
          configMap:
            name: {{ .Release.Name }}-configmap
            defaultMode: 0777
      containers:
        - name: sandipartifactmysql
          image: {{ .Values.image.repository }}:{{ .Values.image.tag }}
          ports:
            - containerPort: 8090
          env:
            - name: SPRING_DATASOURCE_URL
              valueFrom:
                configMapKeyRef:
                  name: {{ .Release.Name}}-configmap
                  key: jdbc
            - name: SPRING_DATASOURCE_USERNAME
              valueFrom:
                secretKeyRef:
                  name: {{ .Release.Name }}-db-secrets
                  key: username
            - name: SPRING_DATASOURCE_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: {{ .Release.Name }}-db-secrets
                  key: password
          

            - name: SPRING_PROFILES_ACTIVE
              value: default
            - name: spring.datasource.driver-class-name
              value: com.mysql.cj.jdbc.Driver
          resources:
            limits:
              memory: '1Gi'
              cpu: '1'
          livenessProbe:
            httpGet:
              path: /actuator/health
              port: 8090
            initialDelaySeconds: 30
            periodSeconds: 30
            timeoutSeconds: 3
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /actuator/health
              port: 8090
            initialDelaySeconds: 30
            periodSeconds: 30
            timeoutSeconds: 3
            failureThreshold: 3
      







